.music_box {
    width: 100vw;
    height: calc(100% - 200px);
    position: fixed;
    left: 0;
    bottom: 0;
    z-index: 99999;
    background-color: #949494;
    border: 1px solid #000;
    box-shadow: 0 0 2px #000;
}
.music_head {
    width: 100%;
    height: 30px;
    background-color: #323a3f;
    overflow: hidden;
}
.music_name {
    width: auto;
    height: 30px;
    line-height: 30px;
    display: inline-block;
    vertical-align: top;
    font-size: 12px;
    color: #fff;
    pointer-events: none;
}

.music_inner_box {
    width: 100%;
    height: 450px;
    background: #fff;
    padding: 0;
    position: relative;
}
.pcm_curr {
    position: absolute;
    width: 1px;
    height: 100%;
    top: 0;
    z-index: 1;
    left: 0;
    border-left: 1px solid rgba(255, 90, 0, 1);
    box-shadow: -1px 0px 10px #ff4500;
}
.playPcm {
    top: 0;
    width: 100%;
    background-color: #0c0c0c;
    box-shadow: inset 0 0 1px #000;
    box-sizing: border-box;
    border: 1px slid #fff;
}

.playMusic {
    width: 100%;
    background-color: rgba(52, 68, 78, 1);
    margin-top: 2px;
}
.currentPlay {
    width: 0;
    height: 100%;
    position: absolute;
    background-color: rgba(255, 255, 255, 0.5);
    left: 0;
    top: 0;
    z-index: 2;
    pointer-events: none;
}
.pcm_play {
    width: auto;
    height: 20px;
    padding: 0 5px 0 5px;
    box-shadow: 0 0 1px #000;
    font-size: 12px;
    line-height: 20px;
    display: inline-block;
    cursor: pointer;
    margin-right: 5px;
    color: #fff;
    background-color: rgba(0, 0, 0, 0.8);
    transform: color 0.5s;
}
.pcm_canvas {
    width: 100%;
    height: auto;
    position: relative;
}
.pcm_play:hover {
    color: #ff4500;
}
.currOptions {
    color: aqua !important;
}
.EQBOX {
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    z-index: 3;
    background-color: rgba(15, 0, 100, 0.3);
}
.EQHEAD {
    width: 100%;
    height: 30px;
    background-color: rgba(105, 0, 150, 1);
    overflow: hidden;
}
.EQNAME {
    width: auto;
    height: 30px;
    line-height: 30px;
    font-size: 15px;
    color: #fff;
    text-shadow: 0 0 1px #000;
}
.EQINNER {
    width: 99%;
    margin: 0 auto;
    position: relative;
}
.EQSIZE {
    width: 100%;
    height: 80%;
}
.SHOWEQ_X {
    width: 10%;
    height: 100%;
    display: inline-block;
    box-sizing: border-box;
    border-right: 1px solid #fff;
    position: relative;
    vertical-align: top;
}
.EQ_NUM_X {
    width: 100%;
    display: inline-block;
    color: #fff;
    position: absolute;
    font-size: 15px;
    left: 0;
    text-align: center;
}
.EX1 {
    top: 0;
}
.EX2 {
    top: 48%;
}
.EX3 {
    top: 96%;
}
.REEQ {
    width: auto;
    height: 30px;
    cursor: pointer;
    display: inline-block;
    margin-left: 15px;
    font-size: 15px;
    color: #fff;
}
.REEQ:hover {
    color: #ff4500;
}
.EQ_PULL {
    width: 89%;
    height: 100%;
    position: relative;
    display: inline-block;
    vertical-align: top;
    border-bottom: 1px solid #fff;
}
.EQ_FREQ {
    width: 100%;
    height: 5%;
}
.EQ_Q {
    width: 100%;
    height: 5%;
}

.EQ_FNAME {
    width: 10%;
    height: 100%;
    display: inline-block;
    vertical-align: top;
    overflow: hidden;
    color: #fff;
    font-size: 12px;
    text-align: center;
    line-height: 200%;
}
.SHOWEQ_Y {
    width: 89%;
    height: 100%;
    display: inline-block;
    vertical-align: top;
}
.EQ_NUM_Y {
    width: 10%;
    height: 100%;
    display: inline-block;
    vertical-align: top;
    color: #fff;
    font-size: 13px;
    text-align: center;
    line-height: 200%;
}

.EQ_QSHOW {
    height: 100%;
    display: inline-block;
    vertical-align: top;
    color: #fff;
    font-size: 15px;
    text-align: center;
    box-shadow: inset 0 0 2px #000;
    line-height: 200%;
}

.Pull_II {
    width: 10%;
    hight: 100%;
    display: inline-block;
    vertical-align: top;
}
.Pull_box {
    width: 5px;
    height: 99%;
    margin: 0 auto;
    background-color: #fff;
    position: relative;
    box-shadow: 0 0 1px #000;
    border-radius: 5px;
}
.Pull_box:hover {
    background: #3c3c3c;
}
.Pull_Text {
    pointer-events: none;
    position: absolute;
    left: -35px;
    top: 0;
    font-size: 12px;
    color: #fff;
}
.Pull_background {
    position: absolute;
    width: 100%;
    bottom: 0;
    left: 0;
    border-radius: 5px;
    pointer-events: none;
}
.Pull_button {
    width: 10px;
    height: 10px;
    position: absolute;
    left: -2.7px;
    display: inline-block;
    background-color: #fff;
    border-radius: 50%;
    box-shadow: 0 0 1px #000;
    cursor: pointer;
}
.Pull_button:hover {
    background-color: #ff4500;
}
.play_group {
    width: auto;
    height: auto;
    background-color: rgba(0, 0, 0, 0.5);
    border-radius: 5px;
    display: inline-block;
    vertical-align: top;
    padding-bottom: 5px;
    margin-left: 5px;
    margin-right: 5px;
}
.WORKERIN {
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
    line-height: 200%;
    color: #fff;
    font-size: 15px;
    position: absolute;
    top: 0;
    left: 0;
}
.inner_ {
    position: relative;
    width: 50px;
    height: 25px;
    background: linear-gradient(dimgray, silver);
    border-radius: 25px;
    box-shadow: 0 0 0 5px rgba(255, 255, 255, 0.9);
}
.inner_::before {
    content: "OFF";
    font-size: 12px;
    color: #808080;
    line-height: 25px;
    text-align: center;
    position: absolute;
    left: 0px;
    width: 25px;
    height: 25px;
    background: radial-gradient(whitesmoke, silver);
    border-radius: 50%;
    transition: left 0.5s ease-in-out;
}
.toggle {
    position: absolute;
    width: 50px;
    height: 25px;
    z-index: 3;
    cursor: pointer;
    filter: opacity(0%);
    border: 5px solid #000;
}
.toggle:checked ~ .inner_::before {
    content: "ON";
    color: limegreen;
    left: 50%;
}
.toggle:checked ~ .inner_ {
    background: linear-gradient(green, limegreen);
}
.buts-box {
    position: relative;
    width: 60px;
    height: 50px;
    margin: 0 auto;
}
.item-value {
    width: 100%;
    height: 20px;
    font-size: 12px;
    text-align: center;
    color: #fff;
}
